API Reference
Auto-generated
Fc
API reference for fc endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.POST /api/fc/v1/crawl
POST
/api/fc/v1/crawlCrawl a website (Firecrawl v1-compatible)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | The URL to crawl |
| excludePaths | string[] | Optional | excludePaths |
| includePaths | string[] | Optional | includePaths |
| maxDepth | integer | Optional | Maximum depth to crawl relative to the entered URLDefault: 2 |
| ignoreSitemap | boolean | Optional | Ignore the website sitemap when crawlingDefault: False |
| limit | integer | Optional | Maximum number of pages to crawlDefault: 10 |
| scrapeOptions | object | Optional | Scrape options embedded in a Firecrawl crawl request. |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/fc/v1/crawl \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"maxDepth": 2,
"ignoreSitemap": false
}'Response Example
JSON
{
"success": true,
"id": "example",
"url": "example"
}GET /api/fc/v1/crawl/{crawl_id}
GET
/api/fc/v1/crawl/{crawl_id}Get crawl status (Firecrawl v1-compatible)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| crawl_id | string | Required | crawl_id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/fc/v1/crawl/<crawl_id> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"success": true,
"status": "example",
"total": 0,
"completed": 0,
"creditsUsed": 0,
"expiresAt": "example"
}DELETE /api/fc/v1/crawl/{crawl_id}
DELETE
/api/fc/v1/crawl/{crawl_id}Cancel a crawl (Firecrawl v1-compatible)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| crawl_id | string | Required | crawl_id |
Request Example
Bash
curl -X DELETE https://api.alterlab.io/api/fc/v1/crawl/<crawl_id> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}POST /api/fc/v1/map
POST
/api/fc/v1/mapMap a website (Firecrawl v1-compatible)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | The URL to map |
| search | string | Optional | search |
| ignoreSitemap | boolean | Optional | Ignore the website sitemap when crawlingDefault: False |
| sitemapOnly | boolean | Optional | Only return URLs found in the sitemapDefault: False |
| includeSubdomains | boolean | Optional | Include subdomains of the websiteDefault: False |
| limit | integer | Optional | Maximum number of links to returnDefault: 5000 |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/fc/v1/map \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"ignoreSitemap": false,
"sitemapOnly": false,
"includeSubdomains": false
}'Response Example
JSON
{
"success": true,
"links": [],
"alterlab": "example"
}POST /api/fc/v1/scrape
POST
/api/fc/v1/scrapeScrape a URL (Firecrawl v1-compatible)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| url | string | Required | The URL to scrape |
| formats | string[] | Optional | formats |
| onlyMainContent | boolean | Optional | Only return the main content of the page excluding headers, navs, footers, etc.Default: True |
| includeTags | string[] | Optional | includeTags |
| excludeTags | string[] | Optional | excludeTags |
| waitFor | integer | Optional | waitFor |
| timeout | integer | Optional | timeout |
| headers | object | Optional | headers |
| mobile | boolean | Optional | Emulate mobile deviceDefault: False |
| skipTlsVerification | boolean | Optional | Skip TLS certificate verificationDefault: False |
| removeBase64Images | boolean | Optional | Remove base64 encoded images from outputDefault: True |
| proxy | "basic" | "stealth" | "auto" | Optional | proxy |
| storeInCache | boolean | Optional | Store result in cacheDefault: True |
| maxAge | integer | Optional | maxAge |
| extract | object | Optional | extract |
| actions | object[] | Optional | actions |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/fc/v1/scrape \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"url": "example_url",
"onlyMainContent": false
}'Response Example
JSON
{
"success": true,
"data": "example",
"alterlab": "example",
"attribution": "example"
}